## netapp-manageability-sdk 5.2

=== Makefile ===
build:

install:
	cp -r usr/ $(DESTDIR)/

clean:
	rm -f *-stamp || true

=== usr/lib/netapp-manageability-sdk-5.1/src/sample/Core_API/Java/encrypt_string/Makefile ===
#
# $ID$
#
# Makefile for encrypt_string.java
#
# Copyright 2002-2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice. 
# 
# Note:This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
# You may have to adjust the value of CL to
# find the manageontap-5.0.jar file.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../../lib/java/classes/manageontap-5.0.jar:../../../../java/classes

all :
	$(JAVAC)  -classpath $(CLASSPATH) encrypt_string.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH) encrypt_string sweetpea root tryme

=== usr/lib/netapp-manageability-sdk-5.1/src/sample/Core_API/Java/hello_ontapi/Makefile ===
#
# $ID$
#
# Makefile for hello_ontapi.java
#
# Copyright 2002-2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice. 
# 
# Note:This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
# You may have to adjust the value of CL to
# find the manageontap-5.0.jar file.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../../lib/java/classes/manageontap-5.0.jar:../../../../java/classes

all :
	$(JAVAC)  -classpath $(CLASSPATH) hello_ontapi.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH) hello_ontapi sweetpea root tryme

=== usr/lib/netapp-manageability-sdk-5.1/src/sample/Core_API/Java/snapvault/Makefile ===
#
# $ID$
#
# Makefile for snapmirror.java
#
# Copyright 2002-2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice. 

# Note:This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
# You may have to adjust the value of CL to
# find the manageontap-5.0.jar file.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../../lib/java/classes/manageontap-5.0.jar:../../../../java/classes

all :
	$(JAVAC)  -classpath $(CLASSPATH) snapvault.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH) snapvault rameez root tryme scheduleList vol1

=== usr/lib/netapp-manageability-sdk-5.1/src/sample/Data_ONTAP/Java/apitest/Makefile ===
#
# $ID$
#
# Makefile for apitest.java
#
# Copyright 2002-2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice. 

# Note:This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
# You may have to adjust the value of CL to
# find the manageontap-5.0.jar file.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../../lib/java/classes/manageontap-5.0.jar:../../../../java/classes

all :
	$(JAVAC)  -classpath $(CLASSPATH) apitest.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH)  apitest sweetpea root tryme

=== usr/lib/netapp-manageability-sdk-5.1/src/sample/Data_ONTAP/Java/cg_operation/Makefile ===
#
# $ID$
#
# Makefile for cg_operation.java
#
# Copyright 2002-2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice. 

# Note:This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
# You may have to adjust the value of CL to
# find the manageontap-5.0.jar file.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../../lib/java/classes/manageontap-5.0.jar:../../../../java/classes

all :
	$(JAVAC)  -classpath $(CLASSPATH) cg_operation.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH) cg_operation  sweetpea  root tryme cg-start mysnapshot medium vol1 vol2

=== usr/lib/netapp-manageability-sdk-5.1/src/sample/Data_ONTAP/Java/file_snaplock/Makefile ===
#
# $ID$
#
# Makefile for file_snaplock.java
#
# Copyright 2002-2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice. 

# Note:This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
# You may have to adjust the value of CL to
# find the manageontap-5.0.jar file.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../../lib/java/classes/manageontap-5.0.jar:../../../../java/classes

all :
	$(JAVAC)  -classpath $(CLASSPATH) file_snaplock.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH) file_snaplock

=== usr/lib/netapp-manageability-sdk-5.1/src/sample/Data_ONTAP/Java/flexclone/Makefile ===
# This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
#
# You may have to adjust the value of CL to
# find the manageontap-5.0.jar file.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../../lib/java/classes/manageontap-5.0.jar:../../../../java/classes

all :
	$(JAVAC) -deprecation -classpath $(CLASSPATH) flexclone.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH) flexclone sweetpea root tryme create vol2 vol1

=== usr/lib/netapp-manageability-sdk-5.1/src/sample/Data_ONTAP/Java/nfs/Makefile ===
#
# $ID$
#
# Makefile for nfs.java
#
# Copyright 2002-2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice. 

# Note:This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
# You may have to adjust the value of CL to
# find the manageontap-5.0.jar file.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../../lib/java/classes/manageontap-5.0.jar:../../../../java/classes

all :
	$(JAVAC)  -classpath $(CLASSPATH) nfs.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH) nfs

=== usr/lib/netapp-manageability-sdk-5.1/src/sample/Data_ONTAP/Java/optmgmt/Makefile ===
#
# $ID$
#
# Makefile for optmgmt.java
#
# Copyright 2002-2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice. 

# Note:This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
# You may have to adjust the value of CL to
# find the manageontap-5.0.jar file.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../../lib/java/classes/manageontap-5.0.jar:../../../../java/classes

all :
	$(JAVAC)  -classpath $(CLASSPATH) optmgmt.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH) optmgmt imran root tryme set webdav.enable on

=== usr/lib/netapp-manageability-sdk-5.1/src/sample/Data_ONTAP/Java/perf_operation/Makefile ===
#
# $ID$
#
# Makefile for perf_operation.java
#
# Copyright 2002-2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice. 

# Note:This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
# You may have to adjust the value of CL to
# find the manageontap-5.0.jar file.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../../lib/java/classes/manageontap-5.0.jar:../../../../java/classes

all :
	$(JAVAC)  -classpath $(CLASSPATH) perf_operation.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH) perf_operation

=== usr/lib/netapp-manageability-sdk-5.1/src/sample/Data_ONTAP/Java/quotalist/Makefile ===
#
# $ID$
#
# Makefile for quotalist.java
#
# Copyright 2002-2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice. 

# Note:This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
# You may have to adjust the value of CL to
# find the manageontap-5.0.jar file.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../../lib/java/classes/manageontap-5.0.jar:../../../../java/classes

all :
	$(JAVAC)  -classpath $(CLASSPATH) quotalist.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH) quotalist sweetpea root tryme

=== debian/changelog ===
netapp-manageability-sdk (5.2) jessie; urgency=medium

  * First build for jessie

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 27 Jul 2015 15:24:54 +0200

netapp-manageability-sdk (5.1) wheezy; urgency=low

  * new Makefile 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 30 Apr 2013 18:29:00 +0200

netapp-manageability-sdk (5.0) wheezy; urgency=low

  * Initial Release.

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 24 Apr 2013 13:47:42 +0200

=== debian/control ===
Source: netapp-manageability-sdk
Section: noris-server 
Priority: extra
Maintainer: Katharina Drexel <katharina.drexel@noris.de>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: https://communities.netapp.com/docs/DOC-1152 

Package: netapp-manageability-sdk
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: needed for netappplugins

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/noris-nagios-clientplugins.sgml > noris-nagios-clientplugins.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/noris-nagios-clientplugins.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/netapp-manageability-sdk


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## netapp-manageability-sdk 5.4

=== util/apitest/Makefile ===
##############################################################
#
# $ID$
#
# Makefile for apitest
#
# 
# Copyright 2002-2003 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../Makefile.common

INCLOPTS += -I../../../include -I../../../libnetapp -I../../../libadt
LINKOPTS += -L../../../lib/$(PLATFORM) -L../../../../sdk-staging/lib/$(PLATFORM)

all: apitest

apitest: apitest.c 
	 gcc $(CFLAGS) -o apitest apitest.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f apitest

=== sample/Core_API/C/encrypt_string/Makefile ===
##############################################################
#
# $Id:$
#
# Makefile for encrypt_string 
#
# 
# Copyright 2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../../../Makefile.common

all: encrypt_string 

encrypt_string: encrypt_string.c 
	 gcc $(CFLAGS) -o encrypt_string encrypt_string.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f encrypt_string

=== sample/Core_API/C/hello_ontapi/Makefile ===
##############################################################
#
# $ID$
#
# Makefile for hello_ontapi
#
# 
# Copyright 2002-2003 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../../../Makefile.common

all: hello_ontapi

hello_ontapi: hello_ontapi.c 
	 gcc $(CFLAGS) -o hello_ontapi hello_ontapi.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f hello_ontapi

=== sample/Core_API/C/snapvault/Makefile ===
##############################################################
#
# $Id:  $
#
# Makefile for snapvault
#
# 
# Copyright 2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../../../Makefile.common

all: snapvault 

snapvault: snapvault.c 
	 gcc $(CFLAGS) -o snapvault snapvault.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f snapvault

=== sample/Core_API/Java/encrypt_string/Makefile ===
#
# $ID$
#
# Makefile for encrypt_string.java
#
# Copyright 2002-2013 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice. 
# 
# Note:This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
# You may have to adjust the value of CL to
# find the manageontap-5.4.jar file.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../../lib/java/classes/manageontap-5.4.jar:../../../../java/classes

all :
	$(JAVAC)  -classpath $(CLASSPATH) encrypt_string.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH) encrypt_string sweetpea root tryme

=== sample/Core_API/Java/hello_ontapi/Makefile ===
#
# $ID$
#
# Makefile for hello_ontapi.java
#
# Copyright 2002-2013 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice. 
# 
# Note:This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
# You may have to adjust the value of CL to
# find the manageontap-5.4.jar file.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../../lib/java/classes/manageontap-5.4.jar:../../../../java/classes

all :
	$(JAVAC)  -classpath $(CLASSPATH) hello_ontapi.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH) hello_ontapi sweetpea root tryme

=== sample/Core_API/Java/snapvault/Makefile ===
#
# $ID$
#
# Makefile for snapmirror.java
#
# Copyright 2002-2013 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice. 

# Note:This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
# You may have to adjust the value of CL to
# find the manageontap-5.4.jar file.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../../lib/java/classes/manageontap-5.4.jar:../../../../java/classes

all :
	$(JAVAC)  -classpath $(CLASSPATH) snapvault.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH) snapvault rameez root tryme scheduleList vol1

=== sample/Data_ONTAP/C/cg_operation/Makefile ===
##############################################################
#
# $Id:$
#
# Makefile for Cg_Operation 
#
# 
# Copyright 2007 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../../../Makefile.common

all: cg_operation 

cg_operation: cg_operation.c 
	 gcc $(CFLAGS) -o cg_operation cg_operation.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f cg_operation

=== sample/Data_ONTAP/C/fastfilewalk/Makefile ===
##############################################################
#
# $ID$
#
# Makefile for fastfilewalk
#
# 
# Copyright 2002-2003 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../../../Makefile.common

LIBS =  -L ../../../lib/solaris -lpthread
CFLAGS += -O6 -D_POSIX_PTHREAD_SEMANTICS $(LIBS)

ifeq "$(PLATFORM)" "solaris"
all: clean fastfilewalk
else
$(error Fastfilewalk is not supported on "$(PLATFORM)")
endif

ifeq "$(PLATFORM)" "solaris"
fastfilewalk: fastfilewalk.c
	 gcc -o fastfilewalk fastfilewalk.c $(CFLAGS)
endif

ifeq "$(PLATFORM)" "solaris"
clean: 
	rm -f fastfilewalk 	
endif

=== sample/Data_ONTAP/C/file_snaplock/Makefile ===
##############################################################
#
# $ID$
#
# Makefile for file_snaplock.c
#
#
# Copyright 2002-2003 Network Appliance, Inc. All rights
# reserved. Specifications subject to change without notice.
#
# This SDK sample code is provided AS IS, with no support or
# warranties of any kind, including but not limited to
# warranties of merchantability or fitness of any kind,
# expressed or implied.  This code is subject to the license
# agreement that accompanies the SDK.
#
##############################################################

include ../../../Makefile.common

all: clean file_snaplock

file_snaplock: file_snaplock.c
	 gcc $(CFLAGS) -o file_snaplock file_snaplock.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f file_snaplock

=== sample/Data_ONTAP/C/flexclone/Makefile ===
##############################################################
#
# $ID$
#
# Makefile for flexclone
#
# 
# Copyright 2002-2003 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../../../Makefile.common

all: flexclone 
	 @echo $(INCLOPTS)
	 @echo $(LINKOPTS)
	 @echo $(PLATFORM)

flexclone: flexclone.c 
	 gcc $(CFLAGS) -o flexclone flexclone.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f flexclone

=== sample/Data_ONTAP/C/getmac/Makefile ===
##############################################################
#
# $ID$
#
# Makefile for getmac
#
# 
# Copyright 2002-2003 Network Appliance, Inc. All rights     
# reserved. Specifications subject to change without notice.    
#                                                            
# This SDK sample code is provided AS IS, with no support or    
# warranties of any kind, including but not limited to       
# warranties of merchantability or fitness of any kind,      
# expressed or implied.  This code is subject to the license    
# agreement that accompanies the SDK.                        
#                                                            
##############################################################

include ../../../Makefile.common

all: getmac

getmac: getmac.c 
	 gcc $(CFLAGS) -o getmac getmac.c $(INCLOPTS) $(LINKOPTS)

clean:
	rm -f getmac

=== debian/changelog ===
netapp-manageability-sdk (5.4-5) jessie; urgency=medium

  * path to main directory

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 09 Oct 2015 11:33:51 +0200

netapp-manageability-sdk (5.4-4) jessie; urgency=medium

  * +Symlink

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 09 Oct 2015 11:07:58 +0200

netapp-manageability-sdk (5.4-3) jessie; urgency=medium

  * Makefile changes 

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 09 Oct 2015 10:18:14 +0200

netapp-manageability-sdk (5.4-2) jessie; urgency=medium

  * +Makefile 

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 09 Oct 2015 07:47:41 +0200

netapp-manageability-sdk (5.4-1) jessie; urgency=low

  * Initial release (Closes: #22050524)

 -- kdrexel <katharina.drexel@noris.de>  Thu, 08 Oct 2015 10:47:11 +0200

=== debian/control ===
Source: netapp-manageability-sdk
Section: server 
Priority: optional
Maintainer: kdrexel <katharina.drexel@noris.de>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://support.netapp.com 
#Vcs-Git: git://anonscm.debian.org/collab-maint/netapp-manageability-sdk.git
#Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/netapp-manageability-sdk.git;a=summary

Package: netapp-manageability-sdk
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: netapp monitoring utilities
